{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
{% endblock %}
{% block javascripts %}
  {{ parent() }}
{% endblock %}
{% block main_content %}

  <div class="container">
    <div class="row mb-5">
      <div class="col-lg-8 py-lg-2">
        <h3>{{ subscription.subscriptionService.name }}</h3>
        <div class="clearfix">
          {{ subscription.subscriptionService.description | raw }}
        </div>
      </div>
      <div class="col-lg-3 offset-lg-1">
        {% if user.codiceFiscale == subscription.subscriber.fiscalCode %}
          <div>
            <a class="btn d-inline btn-sm" data-toggle="modal" data-target="#share_modal">
              <svg class="icon">
                <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-share"></use>
              </svg>
              <small>{{ 'iscrizioni.condividi' | trans }}</small>
            </a>
            {% if subscription.relatedCFs is not empty %}
              <button class="btn btn-dropdown dropdown-toggle d-inline" type="button" data-toggle="dropdown"
                      aria-haspopup="true" aria-expanded="true">
                <svg class="icon">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-more-items"></use>
                </svg>
                <small
                  class="text-black">{{ 'iscrizioni.num_condivisioni' | trans({"%num%": subscription.relatedCFs|length}) }}</small>
              </button>
              <div class="dropdown-menu shadow-lg" aria-labelledby="viewActions" style="">
                <div class="link-list-wrapper">
                  <ul class="link-list">
                    {% for fiscalCode in subscription.relatedCFs %}
                      <li>
                        <a class="list-item"
                           href="{{ path('unshare_subscription_cpsuser', {'subscriptionId': subscription.id, 'fiscalCode': fiscalCode}) }}">
                      <span class="text-decoration-none text-black">
                        <svg class="icon icon-sm mx-2 icon-danger">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
                        </svg>
                          {{ fiscalCode }}
                      </span>
                        </a>

                      </li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
            {% endif %}
          </div>
          <!-- Modal -->
          <div class="modal fade" tabindex="-1" role="dialog" id="share_modal">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <svg class="icon">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-share"></use>
                  </svg>
                  <h5 class="modal-title align-self-center">{{ 'iscrizioni.condividi_iscrizione' | trans }}</h5>
                  <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <svg class="icon">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
                    </svg>
                  </button>
                </div>
                <div class="modal-body">
                  <form action="{{ path('subscription_share_cpsuser', {'subscriptionId': subscription.id }) }}"
                        method="post">
                    <label class="font-weight-semibold" for="shares">{{ 'iscrizioni.condividi_con' | trans }}</label>
                    <div class="form-group">
                      <input type="text" class="form-control" id="shares" name="shares"
                             placeholder="{{ 'iscrizioni.share_helper' | trans }}" required>
                    </div>
                    <input class="btn btn-primary btn-sm float-right" type="submit"
                           value="{{ 'iscrizioni.condividi' | trans }}">
                  </form>
                </div>
                <div class="modal-footer">
                  <span class="small font-italic text-300">{{ 'iscrizioni.descrizione_condividi' | trans }}</span>
                </div>
              </div>
            </div>
          </div>
        {% endif %}
        {% if subscription.subscriptionService.tags %}
          <div class="mt-4 mb-4">
            {% for tag in subscription.subscriptionService.tags %}
              <div class="chip chip-simple chip-primary"><span class="chip-label">{{ tag }}</span></div>
            {% endfor %}
          </div>
        {% endif %}
      </div>
    </div>
    <div class="col-12 px-lg-4 py-lg-2 my-5">
      <h4>{{ 'iscrizioni.payments' | trans }}</h4>
      {% if subscription.subscriptionPayments is empty %}
        <p>{{ 'iscrizioni.no_pagamenti' | trans }}</p>
      {% else %}
        <table id="payments_table" class="table border-bottom">
          {% for payment in subscription.subscriptionPayments %}
            <tr>
              <td class="align-middle">
                <svg class="icon">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                </svg>
              </td>
              <td class="align-middle">
                <a class="text-decoration-none text-black"
                   href="{{ path('subscription_payment_show_cpsuser', {"subscriptionId": subscription.id, "subscriptionPaymentId": payment.id }) }}">
                  {{ payment.name }}
                </a>
              </td>
              <td class="d-none d-none d-lg-table-cell align-middle">
                <code>{{ payment.amount }} €</code>
              </td>
              <td class="d-none d-none d-lg-table-cell align-middle">
                {{ payment.paymentDate | format_date( locale=app.request.locale) }}
              </td>
              <td class="d-none d-none d-lg-table-cell align-middle">
                <div class="float-right">
                  <a id="downloadCertificate"
                     href="{{ path('payment_certificate_download_cpsuser', {"subscriptionId": subscription.id, "subscriptionPaymentId": payment.id }) }}"
                     download>
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                    </svg>
                  </a>
                </div>
              </td>
              <td class="align-middle">
                <div class="float-right">
                  <a
                    href="{{ path('subscription_payment_show_cpsuser', {"subscriptionId": subscription.id, "subscriptionPaymentId": payment.id }) }}">
                    <svg class="icon icon-lg icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-right"></use>
                    </svg>
                  </a>
                </div>
              </td>
            </tr>
          {% endfor %}
        </table>
      {% endif %}
    </div>
    <div class="col-12 px-lg-4 py-lg-2 my-5">
      <table id="info_table" class="table border-bottom mt-5">
        <tr>
          <td><strong>{{ 'iscrizioni.data_inizio' | trans }}</strong></td>
          <td>{{ subscription.subscriptionService.beginDate | format_date( locale=app.request.locale) }}</td>
        </tr>
        <tr>
          <td><strong>{{ 'iscrizioni.data_fine' | trans }}</strong></td>
          <td>{{ subscription.subscriptionService.endDate | format_date( locale=app.request.locale) }}</td>
        </tr>
        <tr>
          <td><strong>{{ 'iscrizioni.data_iscrizione' | trans }}</strong></td>
          <td>{{ subscription.createdAt | format_date( locale=app.request.locale) }}</td>
        </tr>
      </table>
    </div>
  </div>
{% endblock %}

